## Script (Python) "prefs_contact_info_set"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=set
##

from Products.CMFPlone import transaction_note

request = context.REQUEST

member=context.portal_membership.getAuthenticatedMember()

signatures = [
    request.get('signature1', ''),
    request.get('signature2', ''),
    request.get('signature3', ''),
    ]
request.set('signatures', signatures)

for attr in ('show_email', 'show_fullname',
             'show_im', 'fc_autosubscribe', 'fc_emailtome'):
    if not request.has_key(attr):
        request.set(attr, 0)

homepage = request.get('homepage', '').strip()
if homepage and (homepage[:7] != 'http://'):
    homepage = 'http://' + homepage
    request.set('homepage', homepage)

member=context.portal_membership.getAuthenticatedMember()
member.setProperties(request)

tmsg=member.getUserName()+' personalized their settings.'
transaction_note(tmsg)

return request.RESPONSE.redirect(
    '%s/prefs_contact_info?portal_status_message=%s'%(context.absolute_url(),'Your personal settings have been saved.'))
